Index: boost/mpl/aux_/integral_wrapper.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/mpl/aux_/integral_wrapper.hpp,v
retrieving revision 1.8
diff -u -r1.8 integral_wrapper.hpp
--- boost/mpl/aux_/integral_wrapper.hpp	6 Oct 2003 11:07:24 -0000	1.8
+++ boost/mpl/aux_/integral_wrapper.hpp	2 Aug 2004 10:22:45 -0000
@@ -79,9 +79,24 @@
     // functions that return objects of both arithmetic ('int', 'long',
     // 'double', etc.) and wrapped integral types (for an example, see 
     // "mpl/example/power.cpp")
-    operator AUX_WRAPPER_VALUE_TYPE() const { return static_cast<AUX_WRAPPER_VALUE_TYPE>(this->value); } 
+    operator AUX_WRAPPER_VALUE_TYPE() const
+#if BOOST_WORKAROUND(BOOST_MSVC,==1200)
+    ;
+#else
+    {
+        return static_cast<AUX_WRAPPER_VALUE_TYPE>(this->value); 
+    } 
+#endif
 };
 
+#if BOOST_WORKAROUND(BOOST_MSVC,==1200)
+template< AUX_WRAPPER_PARAMS(N) >
+AUX_WRAPPER_INST(N)::operator AUX_WRAPPER_VALUE_TYPE() const
+{
+    return static_cast<AUX_WRAPPER_VALUE_TYPE>(this->value); 
+} 
+#endif
+
 #if !defined(BOOST_NO_INCLASS_MEMBER_INITIALIZATION)
 template< AUX_WRAPPER_PARAMS(N) >
 AUX_WRAPPER_VALUE_TYPE const AUX_WRAPPER_INST(N)::value;
